<script setup lang="ts">
import type { Unit } from '@/entities';
import { useGame } from '@/stores/game';

defineProps<{
    unit?: Unit
}>()
const game = useGame();
</script>

<template>

    <div class="tile" @click="game.selectUnit(unit)">
        <div :style="{color:unit.color}" :class="{selected: unit === game.selected}" v-if="unit" >x</div>
    </div>
</template>

<style scoped>

.tile {
    height: 20px;
    width: 20px;
    border: 1px solid gray
}

.selected {
    background-color: rgba(189, 237, 188, 0.88);
}
</style>